__author__    = 'Viktor Kerkez <alefnula@teacupapps.com>'
__contact__   = 'alefnula@teacupapps.com'
__date__      = '03 January 2010'
__copyright__ = 'Copyright (c) 2010 Viktor Kerkez'


ACTIONS = [
    {
        'tooltip'  : 'Quit',
        'image'    : ':/quit.png',
        'x'        : 163,
        'y'        : 5,
        'callback' : 'close',
        'shortcut' : 'Ctrl+Q',
    },

    {
        'tooltip'  : 'New Document',
        'image'    : ':/new.png',
        'x'        : 0,
        'y'        : 150,
        'callback' : 'editor.new',
        'shortcut' : 'Ctrl+N',
    },
    {
        'tooltip'  : 'Open Document',
        'image'    : ':/open.png',
        'x'        : 40,
        'y'        : 150,
        'callback' : 'editor.open',
        'shortcut' : 'Ctrl+O',
    },
    {
        'tooltip'  : 'Save',
        'image'    : ':/save.png',
        'x'        : 80,
        'y'        : 150,
        'callback' : 'editor.save',
        'shortcut' : 'Ctrl+S',
    },
    {
        'tooltip'  : 'Save As',
        'image'    : ':/save_as.png',
        'x'        : 120,
        'y'        : 150,
        'callback' : 'editor.save_as',
        'shortcut' : 'Ctrl+Alt+S',
    },
    {
        'tooltip'  : 'Change Font',
        'image'    : ':/font.png',
        'x'        : 0,
        'y'        : 200,
        'callback' : 'editor.change_text_font',
        'shortcut' : 'Ctrl+K',
    },
    {
        'tooltip'  : 'Change Text Color',
        'image'    : ':/color.png',
        'x'        : 40,
        'y'        : 200,
        'callback' : 'editor.change_text_color',
        'shortcut' : 'Ctrl+L',
    },
    {
        'tooltip'  : 'Change Background Image',
        'image'    : ':/picture.png',
        'x'        : 80,
        'y'        : 200,
        'callback' : 'change_background',
        'shortcut' : 'Ctrl+P',
    },
    {
        'tooltip'  : 'Add Music',
        'image'    : ':/music.png',
        'x'        : 120,
        'y'        : 200,
        'callback' : 'music_add',
        'shortcut' : 'Ctrl+M',
    },
    {
        'tooltip'  : 'Play Music',
        'image'    : ':/music_previous.png',
        'x'        : 0,
        'y'        : 240,
        'callback' : 'music_previous',
        'shortcut' : 'Alt+Z',
    },
    {
        'tooltip'  : 'Play',
        'image'    : ':/music_play.png',
        'x'        : 40,
        'y'        : 240,
        'callback' : 'music_play',
        'shortcut' : 'Alt+X',
    },
    {
        'tooltip'  : 'Pause',
        'image'    : ':/music_pause.png',
        'x'        : 80,
        'y'        : 240,
        'callback' : 'music_pause',
        'shortcut' : 'Alt+C',
    },
    {
        'tooltip'  : 'Stop',
        'image'    : ':/music_stop.png',
        'x'        : 120,
        'y'        : 240,
        'callback' : 'music_stop',
        'shortcut' : 'Alt+V',
    },
    {
        'tooltip'  : 'Next',
        'image'    : ':/music_next.png',
        'x'        : 160,
        'y'        : 240,
        'callback' : 'music_next',
        'shortcut' : 'Alt+B',
    },
]
